org.hibernate.search.backend.jgroups.impl

## Class DefaultNodeSelectorService

- java.lang.Object
- - org.hibernate.search.backend.jgroups.impl.DefaultNodeSelectorService

- All Implemented Interfaces:
    NodeSelectorService, Service

      public final class DefaultNodeSelectorService
      extends Object
      implements NodeSelectorService

  Maintains a registry of node selectors per index, so that we can handle each index independently while sharing the same JGroups channel.
  Author:
    Sanne Grinovero (C) 2012 Red Hat Inc.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultNodeSelectorService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NodeSelectorStrategy` | `getMasterNodeSelector(String indexName)`
    `void` | `setLocalAddress(Address address)`
    `void` | `setNodeSelectorStrategy(String indexName, NodeSelectorStrategy selector)`
    `void` | `viewAccepted(View view)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultNodeSelectorService

          public DefaultNodeSelectorService()

  - ### Method Detail

    - #### getMasterNodeSelector

          public NodeSelectorStrategy getMasterNodeSelector(String indexName)

      Specified by:
        `getMasterNodeSelector` in interface `NodeSelectorService`

    - #### setNodeSelectorStrategy

          public void setNodeSelectorStrategy(String indexName,
                                              NodeSelectorStrategy selector)

      Specified by:
        `setNodeSelectorStrategy` in interface `NodeSelectorService`

    - #### setLocalAddress

          public void setLocalAddress(Address address)

      Specified by:
        `setLocalAddress` in interface `NodeSelectorService`

    - #### viewAccepted

          public void viewAccepted(View view)

      Specified by:
        `viewAccepted` in interface `NodeSelectorService`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved